
Auto Multiple Choice - Bug # 529: Le changement commit:3a47d4f empêche le build d'AMC sous 
MacPorts

Status: Closed Priority: Normal
Author: Joël Brogniart Category: Installation
Created: 02/02/2018 Assignee: Alexis Bienvenüe
Updated: 02/05/2018 Due date:
Description: Le changement commit:3a47d4f fait échouer le build d'AMC sous MacPorts avec une erreur :

<pre>
:info:build sed: 1: "/setuplocale/a \ \\usep ...": extra characters after \ at the end of a command
:info:build make[1]: *** [auto-multiple-choice.ja.pdf] Error 1
</pre>

History
02/02/2018 11:29 am - Joël Brogniart
En fait, sous MacPorts, le build échoue à partir du commit:5573ef64c544.

02/04/2018 09:54 am - Alexis Bienvenüe
Quelle est l'erreur rencontrée avec la version commit:5573ef64c544 ?

02/04/2018 01:23 pm - Joël Brogniart
L'erreur est la suivante.
<pre>
:info:build ' auto-multiple-choice.ja.tex; \
:info:build             xelatex -halt-on-error -interaction=nonstopmode auto-multiple-choice.ja.tex; xelatex -halt-on-error -interaction=nonstopmode 
auto-multiple-choice.ja.tex; /usr/bin/perl ../reproducible-pdf.pl --fonts --id auto-multiple-choice.ja.pdf ;; \
:info:build 	  *.tex) pdflatex -halt-on-error -interaction=nonstopmode auto-multiple-choice.ja.tex; pdflatex -halt-on-error -interaction=nonstopmode 
auto-multiple-choice.ja.tex; /usr/bin/perl ../reproducible-pdf.pl --id auto-multiple-choice.ja.pdf ;; \
:info:build 	esac
:info:build sed: 1: "/setuplocale/a\\usepack ...": extra characters after \ at the end of a command
:info:build make[1]: *** [auto-multiple-choice.ja.pdf] Error 1

</pre>

J'arrive à construire AMC commit:33b2895d5ed5 en applicant le patch suivant qui remet à leur état précédent les deux lignes qui posent problème.

<pre>
--- doc/Makefile.orig	2018-02-02 07:40:58.000000000 +0100
+++ doc/Makefile	2018-02-02 12:07:49.000000000 +0100
@@ -67,9 +67,9 @@
 XELATEX=xelatex -halt-on-error -interaction=nonstopmode
 
 %.pdf: %.tex $(BLOCK_IMAGES:.svg=.pdf)
-	set -e; export TEXINPUTS=./img_pdf/: ; case $< in \
+	export TEXINPUTS=./img_pdf/: ; case $< in \
 	  *.ja.tex) \
-            sed -i -e '/setuplocale/a \ \
+            sed -i -e '/setuplocale/a\
 \\usepackage{xeCJK}\
 \\setCJKmainfont{IPAexMincho}\
 \\setCJKsansfont{IPAexGothic}\
</pre>
02/04/2018 02:01 pm - Alexis Bienvenüe
- File flatten-ja.diff added

Pouvez-vous essayer commit:33b2895d5ed5 avec la patch ci-joint ?

02/04/2018 03:28 pm - Joël Brogniart
Le build échoue encore mais pour une autre cause apparemment.
<pre>
:info:build kpathsea: Running mktextfm cyberb81
:info:build /opt/local/share/texmf-texlive/web2c/mktexnam: Could not map typeface abbreviation yb for cyberb81.
:info:build /opt/local/share/texmf-texlive/web2c/mktexnam: Need to update /opt/local/share/texmf-texlive/fonts/map/fontname/special.map?
:info:build mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input cyberb81
:info:build This is METAFONT, Version 2.7182818 (TeX Live 2017/MacPorts 2017_2) (preloaded base=mf)
:info:build kpathsea: Running mktexmf cyberb81
:info:build ! I can't find file `cyberb81'.
:info:build <*> ...ljfour; mag:=1; nonstopmode; input cyberb81
:info:build                                                   
:info:build Please type another input file name
:info:build ! Emergency stop.
:info:build <*> ...ljfour; mag:=1; nonstopmode; input cyberb81
:info:build                                                   
:info:build Transcript written on mfput.log.
:info:build grep: cyberb81.log: No such file or directory
:info:build mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input cyberb81' failed to make cyberb81.tfm.
:info:build kpathsea: Appending font creation commands to missfont.log.
:info:build LaTeX Font Warning: Font shape `C70/cyberbit/bx/n' undefined
:info:build (Font)              using `C70/song/m/n' instead on input line 69.
:info:build ! Font C70/song/m/n/20.74/81=cyberb81 at 20.74pt not loadable: Metric (TFM) fil
:info:build e not found.
:info:build <to be read again> 
:info:build                    relax 
:info:build l.69 \maketitle
:info:build                
:info:build !  ==> Fatal error occurred, no output PDF file produced!
</pre>

02/04/2018 06:10 pm - Alexis Bienvenüe
Pouvez-vous m'envoyer le log complet ?

02/04/2018 06:17 pm - Joël Brogniart
- File main.log added

02/04/2018 06:19 pm - Alexis Bienvenüe
- File flatten-ja.diff added

Merci. Peut-être est-ce mieux avec celui-ci ?

02/04/2018 07:41 pm - Joël Brogniart
- File main.log added
J'ai droit à une nouvelle erreur.

<pre>
:info:build kpathsea: Running mktextfm cyberb81
:info:build /opt/local/share/texmf-texlive/web2c/mktexnam: Could not map typeface abbreviation yb for cyberb81.
:info:build /opt/local/share/texmf-texlive/web2c/mktexnam: Need to update /opt/local/share/texmf-texlive/fonts/map/fontname/special.map?
:info:build mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input cyberb81
:info:build This is METAFONT, Version 2.7182818 (TeX Live 2017/MacPorts 2017_2) (preloaded base=mf)
:info:build kpathsea: Running mktexmf cyberb81
:info:build ! I can't find file `cyberb81'.
:info:build <*> ...ljfour; mag:=1; nonstopmode; input cyberb81
:info:build                                                   
:info:build Please type another input file name
:info:build ! Emergency stop.
:info:build <*> ...ljfour; mag:=1; nonstopmode; input cyberb81
:info:build                                                   
:info:build Transcript written on mfput.log.
:info:build grep: cyberb81.log: No such file or directory
:info:build mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input cyberb81' failed to make cyberb81.tfm.
:info:build kpathsea: Appending font creation commands to missfont.log.
:info:build LaTeX Font Warning: Font shape `C70/cyberbit/bx/n' undefined
:info:build (Font)              using `C70/song/m/n' instead on input line 69.
:info:build ! Font C70/song/m/n/20.74/81=cyberb81 at 20.74pt not loadable: Metric (TFM) fil
:info:build e not found.
:info:build <to be read again> 
:info:build                    relax 
:info:build l.69 \maketitle
:info:build                
:info:build !  ==> Fatal error occurred, no output PDF file produced!
</pre>

Journal complet joint.

02/04/2018 07:43 pm - Joël Brogniart
Le message précédent n'est pas le bon, j'ai du rater mon "copier". Il aurait dû être le suivant.
<pre>
:info:build dblatex -P latex.encoding=utf8 -b xetex -t tex -p custom.xsl --texstyle=amcdocstyle --xslt-opts="--nonet" --xslt-opts="--catalogs"  
auto-multiple-choice.ja.xml -o auto-multiple-choice.ja.tex
:info:build Build the book set list...
:info:build Build the listings...
:info:build XSLT stylesheets DocBook - LaTeX 2e (0.3.10)
:info:build ===================================================
:info:build Image '\emph{\small{ͰhͰtwidth=3cmͱtͱh' not found
:info:build Image 'tiger' not found
:info:build 'auto-multiple-choice.ja.tex' successfully built
:info:build sed -i -e 
'/setuplocale/a\\\\usepackage{xeCJK}\\setCJKmainfont{IPAexMincho}\\setCJKsansfont{IPAexGothic}\\setCJKmonofont{IPAexGothic}' 
auto-multiple-choice.ja.tex
:info:build sed: 1: "/setuplocale/a\\\\usepa ...": extra characters after \ at the end of a command
:info:build make[1]: *** [auto-multiple-choice.ja.pdf] Error 1

</pre>
02/04/2018 08:37 pm - Alexis Bienvenüe
- File flatten-ja.diff added

Bon, d'accord, je n'avais pas compris ; merci pour votre aide et désolé pour le temps perdu.
Est-ce mieux avec ce patch ?

02/05/2018 07:18 am - Joël Brogniart
Avec l'application du dernier patch et après avoir ajouté les polices IPAex, la doc japonaise est correctement générée et le build AMC se passe 
correctement. Et je peux même lancer AMC ;-).

Merci pour le boulot.

02/05/2018 07:47 am - Alexis Bienvenüe
Merci pour le test ! Je vais intégrer ce patch car l'instruction @sed@ qui le remplaçait a posé des problèmes avec une version de @make@ (voir 
commit:3a47d4f).

02/05/2018 07:55 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Files
flatten-ja.diff 2 kB 02/04/2018 Alexis Bienvenüe
main.log 591.9 kB 02/04/2018 Joël Brogniart
flatten-ja.diff 2.1 kB 02/04/2018 Alexis Bienvenüe
main.log 578.7 kB 02/04/2018 Joël Brogniart
flatten-ja.diff 2.7 kB 02/04/2018 Alexis Bienvenüe
